UHD_RX_CFILE(1)

NAME
uhd_rx_cfile - Save UHD received data

SYNOPSIS
uhd_rx_cfile: [options] output_filename

DESCRIPTION
Save I&Q data to a complex file for later use.

OPTIONS

-h, --help
    show this help message and exit

-a ARGS, --args=ARGS
    UHD device address args , [default=]

--spec=SPEC
    Subdevice of UHD device where appropriate

-A ANTENNA, --antenna=ANTENNA
    select Rx Antenna where appropriate

--samp-rate=SAMP_RATE
    set sample rate (bandwidth) [default=1000000.0]

-f FREQ, --freq=FREQ
    set frequency to FREQ

-g GAIN, --gain=GAIN
    set gain in dB (default is midpoint)

-s, --output-shorts
    output interleaved shorts instead of complex floats

-N NSAMPLES, --nsamples=NSAMPLES
    number of samples to collect [default=+inf]

-v, --verbose
    verbose output

--lo-offset=LO_OFFSET
    set daughterboard LO offset to OFFSET [default=hw default]

SEE ALSO
uhd_fft(1) uhd_rx_nogui(1) uhd_siggen(1) uhd_siggen_gui(1)